 .../MP Control Plugin/InputMapper/InputHandler.cs                |    6 ++++++
 .../MP Control Plugin/InputMapper/InputMappingForm.cs            |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputHandler.cs b/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputHandler.cs
index 78b024f..a1d3f43 100644
--- a/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputHandler.cs	
+++ b/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputHandler.cs	
@@ -441,6 +441,12 @@ namespace MediaPortal.Plugins.IRSS.MPControlPlugin.InputMapper
                       if (g_Player.IsDVD)
                         found = map;
                       break;
+                    case "MUSIC":
+                      if (g_Player.Playing && g_Player.IsMusic)
+                      
+                        found = map;
+                      
+                      break;
                     case "MEDIA":
                       if (g_Player.Playing)
                         found = map;
diff --git a/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputMappingForm.cs b/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputMappingForm.cs
index b8ebf30..546fe98 100644
--- a/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputMappingForm.cs	
+++ b/MediaPortal Plugins/MediaPortal Plugins/MP Control Plugin/InputMapper/InputMappingForm.cs	
@@ -51,13 +51,13 @@ namespace MediaPortal.Plugins.IRSS.MPControlPlugin.InputMapper
     private readonly string[] _layerList = new string[] {"all", "1", "2"};
     private readonly Array _nativeActionList = Enum.GetValues(typeof (Action.ActionType));
 
-    private readonly string[] _nativePlayerList = new string[] {"TV", "DVD", "MEDIA"};
+    private readonly string[] _nativePlayerList = new string[] {"TV", "DVD", "MEDIA", "MUSIC" };
 
     private readonly string[] _nativePowerList = new string[] {"EXIT", "REBOOT", "SHUTDOWN", "STANDBY", "HIBERNATE"};
 
     private readonly string[] _nativeProcessList = new string[] {"CLOSE", "KILL"};
     private readonly Array _nativeWindowsList = Enum.GetValues(typeof (GUIWindow.Window));
-    private readonly string[] _playerList = new string[] {"TV is running", "DVD is playing", "Media is playing"};
+    private readonly string[] _playerList = new string[] {"TV is running", "DVD is playing", "Media is playing", "Music is playing" };
 
     private readonly string[] _powerList = new string[]
                                              {
